diff options
Diffstat (limited to 'contrib')
-rw-r--r-- | contrib/README | 18 | ||||
-rw-r--r-- | contrib/redhat/openssh.spec | 234 | ||||
-rwxr-xr-x | contrib/redhat/sshd.init | 60 | ||||
-rw-r--r-- | contrib/redhat/sshd.pam | 8 | ||||
-rw-r--r-- | contrib/sshd.pam.freebsd | 5 | ||||
-rw-r--r-- | contrib/sshd.pam.generic | 8 | ||||
-rw-r--r-- | contrib/suse/openssh.spec | 243 | ||||
-rw-r--r-- | contrib/suse/rc.config.sshd | 5 | ||||
-rw-r--r-- | contrib/suse/rc.sshd | 80 |
9 files changed, 661 insertions, 0 deletions
diff --git a/contrib/README b/contrib/README index fda244f6d..f04ad1530 100644 --- a/contrib/README +++ b/contrib/README | |||
@@ -26,6 +26,24 @@ gnome-ssh-askpass: | |||
26 | A GNOME passphrase requester of my own creation. Compilation instructions | 26 | A GNOME passphrase requester of my own creation. Compilation instructions |
27 | are in the top of the file. | 27 | are in the top of the file. |
28 | 28 | ||
29 | sshd.pam.generic: | ||
30 | |||
31 | A generic PAM config file which may be useful on your system. YMMV | ||
32 | |||
33 | sshd.pam.freebsd | ||
34 | |||
35 | A PAM config file which works with FreeBSD's PAM port. Contributed by | ||
36 | Dominik Brettnacher <domi@saargate.de> | ||
37 | |||
38 | redhat: | ||
39 | |||
40 | RPM spec file an scripts for building Redhat packages | ||
41 | |||
42 | suse: | ||
43 | |||
44 | RPM spec file an scripts for building SuSE packages | ||
45 | |||
46 | |||
29 | Externally maintained | 47 | Externally maintained |
30 | --------------------- | 48 | --------------------- |
31 | 49 | ||
diff --git a/contrib/redhat/openssh.spec b/contrib/redhat/openssh.spec new file mode 100644 index 000000000..ad4835403 --- /dev/null +++ b/contrib/redhat/openssh.spec | |||
@@ -0,0 +1,234 @@ | |||
1 | # Version of OpenSSH | ||
2 | %define oversion 1.2.3pre2 | ||
3 | |||
4 | # Version of ssh-askpass | ||
5 | %define aversion 0.99 | ||
6 | |||
7 | Summary: OpenSSH free Secure Shell (SSH) implementation | ||
8 | Name: openssh | ||
9 | Version: %{oversion} | ||
10 | Release: 1 | ||
11 | Packager: Damien Miller <djm@ibs.com.au> | ||
12 | Source0: http://violet.ibs.com.au/openssh/files/openssh-%{oversion}.tar.gz | ||
13 | Source1: http://www.ntrnet.net/~jmknoble/software/x11-ssh-askpass/x11-ssh-askpass-%{aversion}.tar.gz | ||
14 | Copyright: BSD | ||
15 | Group: Applications/Internet | ||
16 | BuildRoot: /tmp/openssh-%{version}-buildroot | ||
17 | Obsoletes: ssh | ||
18 | PreReq: openssl | ||
19 | Requires: openssl | ||
20 | BuildPreReq: perl | ||
21 | BuildPreReq: openssl-devel | ||
22 | BuildPreReq: tcp_wrappers | ||
23 | BuildPreReq: gnome-libs-devel | ||
24 | |||
25 | %package clients | ||
26 | Summary: OpenSSH Secure Shell protocol clients | ||
27 | Requires: openssh | ||
28 | Group: System Environment/Daemons | ||
29 | Obsoletes: ssh-clients | ||
30 | |||
31 | %package server | ||
32 | Summary: OpenSSH Secure Shell protocol server (sshd) | ||
33 | Group: System Environment/Daemons | ||
34 | Obsoletes: ssh-server | ||
35 | PreReq: openssh chkconfig >= 0.9 | ||
36 | |||
37 | %package askpass | ||
38 | Summary: OpenSSH X11 passphrase dialog | ||
39 | Group: Applications/Internet | ||
40 | Requires: openssh | ||
41 | Obsoletes: ssh-extras | ||
42 | |||
43 | %package askpass-gnome | ||
44 | Summary: OpenSSH GNOME passphrase dialog | ||
45 | Group: Applications/Internet | ||
46 | Requires: openssh | ||
47 | Obsoletes: ssh-extras | ||
48 | |||
49 | %description | ||
50 | Ssh (Secure Shell) a program for logging into a remote machine and for | ||
51 | executing commands in a remote machine. It is intended to replace | ||
52 | rlogin and rsh, and provide secure encrypted communications between | ||
53 | two untrusted hosts over an insecure network. X11 connections and | ||
54 | arbitrary TCP/IP ports can also be forwarded over the secure channel. | ||
55 | |||
56 | OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it | ||
57 | up to date in terms of security and features, as well as removing all | ||
58 | patented algorithms to seperate libraries (OpenSSL). | ||
59 | |||
60 | This package includes the core files necessary for both the OpenSSH | ||
61 | client and server. To make this package useful, you should also | ||
62 | install openssh-clients, openssh-server, or both. | ||
63 | |||
64 | %description clients | ||
65 | Ssh (Secure Shell) a program for logging into a remote machine and for | ||
66 | executing commands in a remote machine. It is intended to replace | ||
67 | rlogin and rsh, and provide secure encrypted communications between | ||
68 | two untrusted hosts over an insecure network. X11 connections and | ||
69 | arbitrary TCP/IP ports can also be forwarded over the secure channel. | ||
70 | |||
71 | OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it | ||
72 | up to date in terms of security and features, as well as removing all | ||
73 | patented algorithms to seperate libraries (OpenSSL). | ||
74 | |||
75 | This package includes the clients necessary to make encrypted connections | ||
76 | to SSH servers. | ||
77 | |||
78 | %description server | ||
79 | Ssh (Secure Shell) a program for logging into a remote machine and for | ||
80 | executing commands in a remote machine. It is intended to replace | ||
81 | rlogin and rsh, and provide secure encrypted communications between | ||
82 | two untrusted hosts over an insecure network. X11 connections and | ||
83 | arbitrary TCP/IP ports can also be forwarded over the secure channel. | ||
84 | |||
85 | OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it | ||
86 | up to date in terms of security and features, as well as removing all | ||
87 | patented algorithms to seperate libraries (OpenSSL). | ||
88 | |||
89 | This package contains the secure shell daemon. The sshd is the server | ||
90 | part of the secure shell protocol and allows ssh clients to connect to | ||
91 | your host. | ||
92 | |||
93 | %description askpass | ||
94 | Ssh (Secure Shell) a program for logging into a remote machine and for | ||
95 | executing commands in a remote machine. It is intended to replace | ||
96 | rlogin and rsh, and provide secure encrypted communications between | ||
97 | two untrusted hosts over an insecure network. X11 connections and | ||
98 | arbitrary TCP/IP ports can also be forwarded over the secure channel. | ||
99 | |||
100 | OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it | ||
101 | up to date in terms of security and features, as well as removing all | ||
102 | patented algorithms to seperate libraries (OpenSSL). | ||
103 | |||
104 | This package contains Jim Knoble's <jmknoble@pobox.com> X11 passphrase | ||
105 | dialog. | ||
106 | |||
107 | %description askpass-gnome | ||
108 | Ssh (Secure Shell) a program for logging into a remote machine and for | ||
109 | executing commands in a remote machine. It is intended to replace | ||
110 | rlogin and rsh, and provide secure encrypted communications between | ||
111 | two untrusted hosts over an insecure network. X11 connections and | ||
112 | arbitrary TCP/IP ports can also be forwarded over the secure channel. | ||
113 | |||
114 | OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it | ||
115 | up to date in terms of security and features, as well as removing all | ||
116 | patented algorithms to seperate libraries (OpenSSL). | ||
117 | |||
118 | This package contains the GNOME passphrase dialog. | ||
119 | |||
120 | %changelog | ||
121 | * Sun Dec 26 1999 Damien Miller <djm@mindrot.org> | ||
122 | - Added Jim Knoble's <jmknoble@pobox.com> askpass | ||
123 | * Mon Nov 15 1999 Damien Miller <djm@mindrot.org> | ||
124 | - Split subpackages further based on patch from jim knoble <jmknoble@pobox.com> | ||
125 | * Sat Nov 13 1999 Damien Miller <djm@mindrot.org> | ||
126 | - Added 'Obsoletes' directives | ||
127 | * Tue Nov 09 1999 Damien Miller <djm@ibs.com.au> | ||
128 | - Use make install | ||
129 | - Subpackages | ||
130 | * Mon Nov 08 1999 Damien Miller <djm@ibs.com.au> | ||
131 | - Added links for slogin | ||
132 | - Fixed perms on manpages | ||
133 | * Sat Oct 30 1999 Damien Miller <djm@ibs.com.au> | ||
134 | - Renamed init script | ||
135 | * Fri Oct 29 1999 Damien Miller <djm@ibs.com.au> | ||
136 | - Back to old binary names | ||
137 | * Thu Oct 28 1999 Damien Miller <djm@ibs.com.au> | ||
138 | - Use autoconf | ||
139 | - New binary names | ||
140 | * Wed Oct 27 1999 Damien Miller <djm@ibs.com.au> | ||
141 | - Initial RPMification, based on Jan "Yenya" Kasprzak's <kas@fi.muni.cz> spec. | ||
142 | |||
143 | %prep | ||
144 | |||
145 | %setup -a 1 | ||
146 | |||
147 | %build | ||
148 | |||
149 | CFLAGS="$RPM_OPT_FLAGS" \ | ||
150 | ./configure --prefix=/usr --sysconfdir=/etc/ssh \ | ||
151 | --with-gnome-askpass --with-tcp-wrappers \ | ||
152 | --with-ipv4-default | ||
153 | |||
154 | make | ||
155 | |||
156 | cd x11-ssh-askpass-%{aversion} | ||
157 | xmkmf -a | ||
158 | make | ||
159 | cd .. | ||
160 | |||
161 | %install | ||
162 | rm -rf $RPM_BUILD_ROOT | ||
163 | make install DESTDIR=$RPM_BUILD_ROOT/ | ||
164 | |||
165 | install -d $RPM_BUILD_ROOT/etc/pam.d/ | ||
166 | install -d $RPM_BUILD_ROOT/etc/rc.d/init.d | ||
167 | install -m644 packages/redhat/sshd.pam $RPM_BUILD_ROOT/etc/pam.d/sshd | ||
168 | install -m755 packages/redhat/sshd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/sshd | ||
169 | |||
170 | install -s x11-ssh-askpass-%{aversion}/ssh-askpass $RPM_BUILD_ROOT/usr/libexec/ssh/x11-ssh-askpass | ||
171 | ln -s /usr/libexec/ssh/x11-ssh-askpass $RPM_BUILD_ROOT/usr/libexec/ssh/ssh-askpass | ||
172 | |||
173 | %clean | ||
174 | rm -rf $RPM_BUILD_ROOT | ||
175 | |||
176 | %post server | ||
177 | /sbin/chkconfig --add sshd | ||
178 | if [ ! -f /etc/ssh/ssh_host_key -o ! -s /etc/ssh/ssh_host_key ]; then | ||
179 | /usr/bin/ssh-keygen -b 1024 -f /etc/ssh/ssh_host_key -N '' >&2 | ||
180 | fi | ||
181 | if test -r /var/run/sshd.pid | ||
182 | then | ||
183 | /etc/rc.d/init.d/sshd restart >&2 | ||
184 | fi | ||
185 | |||
186 | %preun server | ||
187 | if [ "$1" = 0 ] | ||
188 | then | ||
189 | /etc/rc.d/init.d/sshd stop >&2 | ||
190 | /sbin/chkconfig --del sshd | ||
191 | fi | ||
192 | |||
193 | %files | ||
194 | %defattr(-,root,root) | ||
195 | %doc ChangeLog OVERVIEW COPYING.Ylonen README README.Ylonen INSTALL | ||
196 | %doc CREDITS UPGRADING | ||
197 | %attr(0755,root,root) /usr/bin/ssh-keygen | ||
198 | %attr(0755,root,root) /usr/bin/scp | ||
199 | %attr(0644,root,root) /usr/man/man1/ssh-keygen.1 | ||
200 | %attr(0644,root,root) /usr/man/man1/scp.1 | ||
201 | %attr(0755,root,root) %dir /etc/ssh | ||
202 | %attr(0755,root,root) %dir /usr/libexec/ssh | ||
203 | |||
204 | %files clients | ||
205 | %defattr(-,root,root) | ||
206 | %attr(4755,root,root) /usr/bin/ssh | ||
207 | %attr(0755,root,root) /usr/bin/ssh-agent | ||
208 | %attr(0755,root,root) /usr/bin/ssh-add | ||
209 | %attr(0644,root,root) /usr/man/man1/ssh.1 | ||
210 | %attr(0644,root,root) /usr/man/man1/ssh-agent.1 | ||
211 | %attr(0644,root,root) /usr/man/man1/ssh-add.1 | ||
212 | %attr(0644,root,root) %config(noreplace) /etc/ssh/ssh_config | ||
213 | %attr(-,root,root) /usr/bin/slogin | ||
214 | %attr(-,root,root) /usr/man/man1/slogin.1 | ||
215 | |||
216 | %files server | ||
217 | %defattr(-,root,root) | ||
218 | %attr(0755,root,root) /usr/sbin/sshd | ||
219 | %attr(0644,root,root) /usr/man/man8/sshd.8 | ||
220 | %attr(0600,root,root) %config(noreplace) /etc/ssh/sshd_config | ||
221 | %attr(0600,root,root) %config(noreplace) /etc/pam.d/sshd | ||
222 | %attr(0755,root,root) %config /etc/rc.d/init.d/sshd | ||
223 | |||
224 | %files askpass | ||
225 | %defattr(-,root,root) | ||
226 | %doc x11-ssh-askpass-%{aversion}/README | ||
227 | %doc x11-ssh-askpass-%{aversion}/ChangeLog | ||
228 | %doc x11-ssh-askpass-%{aversion}/SshAskpass*.ad | ||
229 | %attr(0755,root,root) /usr/libexec/ssh/ssh-askpass | ||
230 | %attr(0755,root,root) /usr/libexec/ssh/x11-ssh-askpass | ||
231 | |||
232 | %files askpass-gnome | ||
233 | %defattr(-,root,root) | ||
234 | %attr(0755,root,root) /usr/libexec/ssh/gnome-ssh-askpass | ||
diff --git a/contrib/redhat/sshd.init b/contrib/redhat/sshd.init new file mode 100755 index 000000000..cac91bb51 --- /dev/null +++ b/contrib/redhat/sshd.init | |||
@@ -0,0 +1,60 @@ | |||
1 | #!/bin/bash | ||
2 | |||
3 | # Init file for OpenSSH server daemon | ||
4 | # | ||
5 | # chkconfig: 2345 55 25 | ||
6 | # description: OpenSSH server daemon | ||
7 | # | ||
8 | # processname: sshd | ||
9 | # config: /etc/ssh/ssh_host_key | ||
10 | # config: /etc/ssh/ssh_host_key.pub | ||
11 | # config: /etc/ssh/ssh_random_seed | ||
12 | # config: /etc/ssh/sshd_config | ||
13 | # pidfile: /var/run/sshd.pid | ||
14 | |||
15 | # source function library | ||
16 | . /etc/rc.d/init.d/functions | ||
17 | |||
18 | RETVAL=0 | ||
19 | |||
20 | case "$1" in | ||
21 | start) | ||
22 | echo -n "Starting sshd: " | ||
23 | if [ ! -f /var/run/sshd.pid ] ; then | ||
24 | case "`type -type success`" in | ||
25 | function) | ||
26 | /usr/sbin/sshd && success "sshd startup" || failure "sshd startup" | ||
27 | RETVAL=$? | ||
28 | ;; | ||
29 | *) | ||
30 | /usr/sbin/sshd && echo -n "sshd " | ||
31 | RETVAL=$? | ||
32 | ;; | ||
33 | esac | ||
34 | [ $RETVAL -eq 0 ] && touch /var/lock/subsys/sshd | ||
35 | fi | ||
36 | echo | ||
37 | ;; | ||
38 | stop) | ||
39 | echo -n "Shutting down sshd: " | ||
40 | if [ -f /var/run/sshd.pid ] ; then | ||
41 | killproc sshd | ||
42 | fi | ||
43 | echo | ||
44 | [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/sshd | ||
45 | ;; | ||
46 | restart) | ||
47 | $0 stop | ||
48 | $0 start | ||
49 | RETVAL=$? | ||
50 | ;; | ||
51 | status) | ||
52 | status sshd | ||
53 | RETVAL=$? | ||
54 | ;; | ||
55 | *) | ||
56 | echo "Usage: sshd {start|stop|restart|status}" | ||
57 | exit 1 | ||
58 | esac | ||
59 | |||
60 | exit $RETVAL | ||
diff --git a/contrib/redhat/sshd.pam b/contrib/redhat/sshd.pam new file mode 100644 index 000000000..26dcb34d9 --- /dev/null +++ b/contrib/redhat/sshd.pam | |||
@@ -0,0 +1,8 @@ | |||
1 | #%PAM-1.0 | ||
2 | auth required /lib/security/pam_pwdb.so shadow nodelay | ||
3 | auth required /lib/security/pam_nologin.so | ||
4 | account required /lib/security/pam_pwdb.so | ||
5 | password required /lib/security/pam_cracklib.so | ||
6 | password required /lib/security/pam_pwdb.so shadow nullok use_authtok | ||
7 | session required /lib/security/pam_pwdb.so | ||
8 | session required /lib/security/pam_limits.so | ||
diff --git a/contrib/sshd.pam.freebsd b/contrib/sshd.pam.freebsd new file mode 100644 index 000000000..c0bc36410 --- /dev/null +++ b/contrib/sshd.pam.freebsd | |||
@@ -0,0 +1,5 @@ | |||
1 | sshd auth required pam_unix.so try_first_pass | ||
2 | sshd account required pam_unix.so | ||
3 | sshd password required pam_permit.so | ||
4 | sshd session required pam_permit.so | ||
5 | |||
diff --git a/contrib/sshd.pam.generic b/contrib/sshd.pam.generic new file mode 100644 index 000000000..cf5af3024 --- /dev/null +++ b/contrib/sshd.pam.generic | |||
@@ -0,0 +1,8 @@ | |||
1 | #%PAM-1.0 | ||
2 | auth required /lib/security/pam_unix.so shadow nodelay | ||
3 | auth required /lib/security/pam_nologin.so | ||
4 | account required /lib/security/pam_unix.so | ||
5 | password required /lib/security/pam_cracklib.so | ||
6 | password required /lib/security/pam_unix.so shadow nullok use_authtok | ||
7 | session required /lib/security/pam_unix.so | ||
8 | session required /lib/security/pam_limits.so | ||
diff --git a/contrib/suse/openssh.spec b/contrib/suse/openssh.spec new file mode 100644 index 000000000..ab16c40ba --- /dev/null +++ b/contrib/suse/openssh.spec | |||
@@ -0,0 +1,243 @@ | |||
1 | Summary: OpenSSH, a free Secure Shell (SSH) implementation | ||
2 | Name: openssh | ||
3 | Version: 1.2.3pre2 | ||
4 | Release: 1 | ||
5 | Source0: openssh-%{version}.tar.gz | ||
6 | Copyright: BSD | ||
7 | Group: Applications/Internet | ||
8 | BuildRoot: /tmp/openssh-%{version}-buildroot | ||
9 | PreReq: openssl | ||
10 | Obsoletes: ssh | ||
11 | # | ||
12 | # (Build[ing] Prereq[uisites] only work for RPM 2.95 and newer.) | ||
13 | # building prerequisites -- stuff for | ||
14 | # OpenSSL (openssl-devel), | ||
15 | # TCP Wrappers (nkitb), | ||
16 | # and Gnome (glibdev, gtkdev, and gnlibsd) | ||
17 | # | ||
18 | BuildPrereq: openssl-devel | ||
19 | BuildPrereq: nkitb | ||
20 | BuildPrereq: glibdev | ||
21 | BuildPrereq: gtkdev | ||
22 | BuildPrereq: gnlibsd | ||
23 | |||
24 | %package clients | ||
25 | Summary: OpenSSH Secure Shell protocol clients | ||
26 | Requires: openssh | ||
27 | Group: Applications/Internet | ||
28 | Obsoletes: ssh-clients | ||
29 | |||
30 | %package server | ||
31 | Summary: OpenSSH Secure Shell protocol server (sshd) | ||
32 | Requires: openssh | ||
33 | Group: System Environment/Daemons | ||
34 | PreReq: openssh | ||
35 | Obsoletes: ssh-server | ||
36 | |||
37 | %package askpass | ||
38 | Summary: OpenSSH GNOME passphrase dialog | ||
39 | Group: Applications/Internet | ||
40 | Requires: openssh | ||
41 | Obsoletes: ssh-extras | ||
42 | Obsoletes: ssh-askpass | ||
43 | |||
44 | %description | ||
45 | Ssh (Secure Shell) a program for logging into a remote machine and for | ||
46 | executing commands in a remote machine. It is intended to replace | ||
47 | rlogin and rsh, and provide secure encrypted communications between | ||
48 | two untrusted hosts over an insecure network. X11 connections and | ||
49 | arbitrary TCP/IP ports can also be forwarded over the secure channel. | ||
50 | |||
51 | OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it | ||
52 | up to date in terms of security and features, as well as removing all | ||
53 | patented algorithms to seperate libraries (OpenSSL). | ||
54 | |||
55 | This package includes the core files necessary for both the OpenSSH | ||
56 | client and server. To make this package useful, you should also | ||
57 | install openssh-clients, openssh-server, or both. | ||
58 | |||
59 | %description clients | ||
60 | Ssh (Secure Shell) a program for logging into a remote machine and for | ||
61 | executing commands in a remote machine. It is intended to replace | ||
62 | rlogin and rsh, and provide secure encrypted communications between | ||
63 | two untrusted hosts over an insecure network. X11 connections and | ||
64 | arbitrary TCP/IP ports can also be forwarded over the secure channel. | ||
65 | |||
66 | OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it | ||
67 | up to date in terms of security and features, as well as removing all | ||
68 | patented algorithms to seperate libraries (OpenSSL). | ||
69 | |||
70 | This package includes the clients necessary to make encrypted connections | ||
71 | to SSH servers. | ||
72 | |||
73 | %description server | ||
74 | Ssh (Secure Shell) a program for logging into a remote machine and for | ||
75 | executing commands in a remote machine. It is intended to replace | ||
76 | rlogin and rsh, and provide secure encrypted communications between | ||
77 | two untrusted hosts over an insecure network. X11 connections and | ||
78 | arbitrary TCP/IP ports can also be forwarded over the secure channel. | ||
79 | |||
80 | OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it | ||
81 | up to date in terms of security and features, as well as removing all | ||
82 | patented algorithms to seperate libraries (OpenSSL). | ||
83 | |||
84 | This package contains the secure shell daemon. The sshd is the server | ||
85 | part of the secure shell protocol and allows ssh clients to connect to | ||
86 | your host. | ||
87 | |||
88 | %description askpass | ||
89 | Ssh (Secure Shell) a program for logging into a remote machine and for | ||
90 | executing commands in a remote machine. It is intended to replace | ||
91 | rlogin and rsh, and provide secure encrypted communications between | ||
92 | two untrusted hosts over an insecure network. X11 connections and | ||
93 | arbitrary TCP/IP ports can also be forwarded over the secure channel. | ||
94 | |||
95 | OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it | ||
96 | up to date in terms of security and features, as well as removing all | ||
97 | patented algorithms to seperate libraries (OpenSSL). | ||
98 | |||
99 | This package contains the GNOME passphrase dialog. | ||
100 | |||
101 | %changelog | ||
102 | * Sun Dec 26 1999 Chris Saia <csaia@wtower.com> | ||
103 | - Made symlink to gnome-ssh-askpass called ssh-askpass | ||
104 | * Wed Nov 24 1999 Chris Saia <csaia@wtower.com> | ||
105 | - Removed patches that included /etc/pam.d/sshd, /sbin/init.d/rc.sshd, and | ||
106 | /var/adm/fillup-templates/rc.config.sshd, since Damien merged these into | ||
107 | his released tarfile | ||
108 | - Changed permissions on ssh_config in the install procedure to 644 from 600 | ||
109 | even though it was correct in the %files section and thus right in the RPMs | ||
110 | - Postinstall script for the server now only prints "Generating SSH host | ||
111 | key..." if we need to actually do this, in order to eliminate a confusing | ||
112 | message if an SSH host key is already in place | ||
113 | - Marked all manual pages as %doc(umentation) | ||
114 | * Mon Nov 22 1999 Chris Saia <csaia@wtower.com> | ||
115 | - Added flag to configure daemon with TCP Wrappers support | ||
116 | - Added building prerequisites (works in RPM 3.0 and newer) | ||
117 | * Thu Nov 18 1999 Chris Saia <csaia@wtower.com> | ||
118 | - Made this package correct for SuSE. | ||
119 | - Changed instances of pam_pwdb.so to pam_unix.so, since it works more properly | ||
120 | with SuSE, and lib_pwdb.so isn't installed by default. | ||
121 | * Mon Nov 15 1999 Damien Miller <djm@mindrot.org> | ||
122 | - Split subpackages further based on patch from jim knoble <jmknoble@pobox.com> | ||
123 | * Sat Nov 13 1999 Damien Miller <djm@mindrot.org> | ||
124 | - Added 'Obsoletes' directives | ||
125 | * Tue Nov 09 1999 Damien Miller <djm@ibs.com.au> | ||
126 | - Use make install | ||
127 | - Subpackages | ||
128 | * Mon Nov 08 1999 Damien Miller <djm@ibs.com.au> | ||
129 | - Added links for slogin | ||
130 | - Fixed perms on manpages | ||
131 | * Sat Oct 30 1999 Damien Miller <djm@ibs.com.au> | ||
132 | - Renamed init script | ||
133 | * Fri Oct 29 1999 Damien Miller <djm@ibs.com.au> | ||
134 | - Back to old binary names | ||
135 | * Thu Oct 28 1999 Damien Miller <djm@ibs.com.au> | ||
136 | - Use autoconf | ||
137 | - New binary names | ||
138 | * Wed Oct 27 1999 Damien Miller <djm@ibs.com.au> | ||
139 | - Initial RPMification, based on Jan "Yenya" Kasprzak's <kas@fi.muni.cz> spec. | ||
140 | |||
141 | %prep | ||
142 | |||
143 | %setup -q | ||
144 | |||
145 | %build | ||
146 | CFLAGS="$RPM_OPT_FLAGS" \ | ||
147 | ./configure --prefix=/usr --sysconfdir=/etc/ssh --with-gnome-askpass \ | ||
148 | --with-tcp-wrappers --with-ipv4-default | ||
149 | make | ||
150 | |||
151 | %install | ||
152 | rm -rf $RPM_BUILD_ROOT | ||
153 | make install DESTDIR=$RPM_BUILD_ROOT/ | ||
154 | install -d $RPM_BUILD_ROOT/etc/ssh/ | ||
155 | install -d $RPM_BUILD_ROOT/etc/pam.d/ | ||
156 | install -d $RPM_BUILD_ROOT/sbin/init.d/ | ||
157 | install -d $RPM_BUILD_ROOT/var/adm/fillup-templates | ||
158 | install -m644 sshd.pam.generic $RPM_BUILD_ROOT/etc/pam.d/sshd | ||
159 | install -m744 packages/suse/rc.sshd $RPM_BUILD_ROOT/sbin/init.d/sshd | ||
160 | ln -s ../../sbin/init.d/sshd $RPM_BUILD_ROOT/usr/sbin/rcsshd | ||
161 | ln -s gnome-ssh-askpass $RPM_BUILD_ROOT/usr/libexec/ssh/ssh-askpass | ||
162 | install -m744 packages/suse/rc.config.sshd \ | ||
163 | $RPM_BUILD_ROOT/var/adm/fillup-templates | ||
164 | |||
165 | %clean | ||
166 | rm -rf $RPM_BUILD_ROOT | ||
167 | |||
168 | %post server | ||
169 | if [ "$1" = 1 ]; then | ||
170 | echo "Creating SSH stop/start scripts in the rc directories..." | ||
171 | ln -s ../sshd /sbin/init.d/rc2.d/K20sshd | ||
172 | ln -s ../sshd /sbin/init.d/rc2.d/S20sshd | ||
173 | ln -s ../sshd /sbin/init.d/rc3.d/K20sshd | ||
174 | ln -s ../sshd /sbin/init.d/rc3.d/S20sshd | ||
175 | fi | ||
176 | echo "Updating /etc/rc.config..." | ||
177 | if [ -x /bin/fillup ] ; then | ||
178 | /bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.sshd | ||
179 | else | ||
180 | echo "ERROR: fillup not found. This should NOT happen in SuSE Linux." | ||
181 | echo "Update /etc/rc.config by hand from the following template file:" | ||
182 | echo " /var/adm/fillup-templates/rc.config.sshd" | ||
183 | fi | ||
184 | if [ ! -f /etc/ssh/ssh_host_key -o ! -s /etc/ssh/ssh_host_key ]; then | ||
185 | echo "Generating SSH host key..." | ||
186 | /usr/bin/ssh-keygen -b 1024 -f /etc/ssh/ssh_host_key -N '' >&2 | ||
187 | fi | ||
188 | if test -r /var/run/sshd.pid | ||
189 | then | ||
190 | echo "Restarting the running SSH daemon..." | ||
191 | /usr/sbin/rcsshd restart >&2 | ||
192 | fi | ||
193 | |||
194 | %preun server | ||
195 | if [ "$1" = 0 ] | ||
196 | then | ||
197 | echo "Stopping the SSH daemon..." | ||
198 | /usr/sbin/rcsshd stop >&2 | ||
199 | echo "Removing SSH stop/start scripts from the rc directories..." | ||
200 | rm /sbin/init.d/rc2.d/K20sshd | ||
201 | rm /sbin/init.d/rc2.d/S20sshd | ||
202 | rm /sbin/init.d/rc3.d/K20sshd | ||
203 | rm /sbin/init.d/rc3.d/S20sshd | ||
204 | fi | ||
205 | |||
206 | %files | ||
207 | %defattr(-,root,root) | ||
208 | %doc COPYING.Ylonen ChangeLog OVERVIEW README README.Ylonen | ||
209 | %doc RFC.nroff TODO UPGRADING CREDITS | ||
210 | %attr(0755,root,root) /usr/bin/ssh-keygen | ||
211 | %attr(0755,root,root) /usr/bin/scp | ||
212 | %attr(0644,root,root) %doc /usr/man/man1/ssh-keygen.1 | ||
213 | %attr(0644,root,root) %doc /usr/man/man1/scp.1 | ||
214 | %attr(0755,root,root) %dir /etc/ssh | ||
215 | %attr(0755,root,root) %dir /usr/libexec/ssh | ||
216 | |||
217 | %files clients | ||
218 | %defattr(-,root,root) | ||
219 | %attr(4755,root,root) /usr/bin/ssh | ||
220 | %attr(0755,root,root) /usr/bin/ssh-agent | ||
221 | %attr(0755,root,root) /usr/bin/ssh-add | ||
222 | %attr(0644,root,root) %doc /usr/man/man1/ssh.1 | ||
223 | %attr(0644,root,root) %doc /usr/man/man1/ssh-agent.1 | ||
224 | %attr(0644,root,root) %doc /usr/man/man1/ssh-add.1 | ||
225 | %attr(0644,root,root) %config /etc/ssh/ssh_config | ||
226 | %attr(-,root,root) /usr/bin/slogin | ||
227 | %attr(-,root,root) %doc /usr/man/man1/slogin.1 | ||
228 | |||
229 | %files server | ||
230 | %defattr(-,root,root) | ||
231 | %attr(0755,root,root) /usr/sbin/sshd | ||
232 | %attr(0644,root,root) %doc /usr/man/man8/sshd.8 | ||
233 | %attr(0600,root,root) %config /etc/ssh/sshd_config | ||
234 | %attr(0644,root,root) %config /etc/pam.d/sshd | ||
235 | %attr(0755,root,root) %config /sbin/init.d/sshd | ||
236 | %attr(-,root,root) /usr/sbin/rcsshd | ||
237 | %attr(0644,root,root) /var/adm/fillup-templates/rc.config.sshd | ||
238 | |||
239 | %files askpass | ||
240 | %defattr(-,root,root) | ||
241 | %attr(0755,root,root) /usr/libexec/ssh/ssh-askpass | ||
242 | %attr(0755,root,root) /usr/libexec/ssh/gnome-ssh-askpass | ||
243 | |||
diff --git a/contrib/suse/rc.config.sshd b/contrib/suse/rc.config.sshd new file mode 100644 index 000000000..baaa7a5a1 --- /dev/null +++ b/contrib/suse/rc.config.sshd | |||
@@ -0,0 +1,5 @@ | |||
1 | # | ||
2 | # Start the Secure Shell (SSH) Daemon? | ||
3 | # | ||
4 | START_SSHD="yes" | ||
5 | |||
diff --git a/contrib/suse/rc.sshd b/contrib/suse/rc.sshd new file mode 100644 index 000000000..f7d431ebb --- /dev/null +++ b/contrib/suse/rc.sshd | |||
@@ -0,0 +1,80 @@ | |||
1 | #! /bin/sh | ||
2 | # Copyright (c) 1995-1998 SuSE GmbH Nuernberg, Germany. | ||
3 | # | ||
4 | # Author: Chris Saia <csaia@wtower.com> | ||
5 | # | ||
6 | # /sbin/init.d/sshd | ||
7 | # | ||
8 | # and symbolic its link | ||
9 | # | ||
10 | # /sbin/rcsshd | ||
11 | # | ||
12 | |||
13 | . /etc/rc.config | ||
14 | |||
15 | # Determine the base and follow a runlevel link name. | ||
16 | base=${0##*/} | ||
17 | link=${base#*[SK][0-9][0-9]} | ||
18 | |||
19 | # Force execution if not called by a runlevel directory. | ||
20 | test $link = $base && START_SSHD=yes | ||
21 | test "$START_SSHD" = yes || exit 0 | ||
22 | |||
23 | # The echo return value for success (defined in /etc/rc.config). | ||
24 | return=$rc_done | ||
25 | case "$1" in | ||
26 | start) | ||
27 | echo -n "Starting service sshd" | ||
28 | ## Start daemon with startproc(8). If this fails | ||
29 | ## the echo return value is set appropriate. | ||
30 | |||
31 | startproc /usr/sbin/sshd || return=$rc_failed | ||
32 | |||
33 | echo -e "$return" | ||
34 | ;; | ||
35 | stop) | ||
36 | echo -n "Stopping service sshd" | ||
37 | ## Stop daemon with killproc(8) and if this fails | ||
38 | ## set echo the echo return value. | ||
39 | |||
40 | killproc -TERM /usr/sbin/sshd || return=$rc_failed | ||
41 | |||
42 | echo -e "$return" | ||
43 | ;; | ||
44 | restart) | ||
45 | ## If first returns OK call the second, if first or | ||
46 | ## second command fails, set echo return value. | ||
47 | $0 stop && $0 start || return=$rc_failed | ||
48 | ;; | ||
49 | reload) | ||
50 | ## Choose ONE of the following two cases: | ||
51 | |||
52 | ## First possibility: A few services accepts a signal | ||
53 | ## to reread the (changed) configuration. | ||
54 | |||
55 | echo -n "Reload service sshd" | ||
56 | killproc -HUP /usr/sbin/sshd || return=$rc_failed | ||
57 | echo -e "$return" | ||
58 | ;; | ||
59 | status) | ||
60 | echo -n "Checking for service sshd" | ||
61 | ## Check status with checkproc(8), if process is running | ||
62 | ## checkproc will return with exit status 0. | ||
63 | |||
64 | checkproc /usr/sbin/sshd && echo OK || echo No process | ||
65 | ;; | ||
66 | probe) | ||
67 | ## Optional: Probe for the necessity of a reload, | ||
68 | ## give out the argument which is required for a reload. | ||
69 | |||
70 | test /etc/ssh/sshd_config -nt /var/run/sshd.pid && echo reload | ||
71 | ;; | ||
72 | *) | ||
73 | echo "Usage: $0 {start|stop|status|restart|reload[|probe]}" | ||
74 | exit 1 | ||
75 | ;; | ||
76 | esac | ||
77 | |||
78 | # Inform the caller not only verbosely and set an exit status. | ||
79 | test "$return" = "$rc_done" || exit 1 | ||
80 | exit 0 | ||